Imports System 
Imports System.windows.forms
Imports GTA
Imports System.Drawing
Public Class removeweapons

    Inherits Script

    Public Sub New()
        Me.Interval = 10
    End Sub
    Private plwpn As WeaponSlot
    Shadows Sub keyDown(ByVal sender As Object, ByVal e As GTA.KeyEventArgs) Handles MyBase.KeyDown
        
    End Sub

    Shadows Sub keyUp(ByVal sender As Object, ByVal e As GTA.KeyEventArgs) Handles MyBase.KeyUp
    End Sub

    Private Sub general_tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If Player.Character.isDead = True Then
            Player.Character.Weapons.RemoveAll()
        End If

        plwpn = Player.Character.Weapons.Current.Slot
        If Not GameEpisode.TBOGT Then            'SONIDOS USADOS CUANDO NO ESTOY JUGANDO TBOGT
            If plwpn = WeaponSlot.Handgun Then
                If Player.Character.Weapons(Weapon.Episodic_09).isPresent Then
                    If Player.Character.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "PISTOL_SHOT_1", Player.Character)
                    End If
                End If
            End If
            If plwpn = WeaponSlot.Shotgun Then
                If Player.Character.Weapons(Weapon.Episodic_10).isPresent Then
                    If Player.Character.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "SHOTGUN_SHOT", Player.Character)
                    End If
                End If
                If Player.Character.Weapons(Weapon.Episodic_11).isPresent Then
                    If Player.Character.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "SHOTGUN_SHOT", Player.Character)
                    End If
                End If
            End If
            If plwpn = WeaponSlot.SMG Then
                If Player.Character.Weapons(Weapon.Episodic_12).isPresent Then
                    If Player.Character.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "MP5_FIRE", Player.Character)
                    End If
                End If
                If Player.Character.Weapons(Weapon.Episodic_13).isPresent Then
                    If Player.Character.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "UZI_FIRE", Player.Character)
                    End If
                End If
            End If
            If plwpn = WeaponSlot.Rifle Then
                If Player.Character.Weapons(Weapon.Episodic_14).isPresent Then
                    If Player.Character.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "M4_FIRE", Player.Character)
                    End If
                End If
            End If
            If plwpn = WeaponSlot.Sniper Then
                If Player.Character.Weapons(Weapon.Episodic_15).isPresent Then
                    If Player.Character.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "SNIPER_RIFLE_SHOT_1", Player.Character)
                    End If
                End If
            End If
        End If
        If Not GameEpisode.TLAD Then                'SONIDOS USADOS CUANDO NO ESTOY JUGANDO A TLAD
            If plwpn = WeaponSlot.Handgun Then
                If Player.Character.Weapons(Weapon.Episodic_07).isPresent Then
                    If Player.Character.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "PISTOL_SHOT_1", Player.Character)
                    End If
                End If
            End If
            If plwpn = WeaponSlot.Shotgun Then
                If Player.Character.Weapons(Weapon.Episodic_02).isPresent Then
                    If Player.Character.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "SHOTGUN_SHOT", Player.Character)
                    End If
                End If
                If Player.Character.Weapons(Weapon.Episodic_06).isPresent Then
                    If Player.Character.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "SHOTGUN_SHOT", Player.Character)
                    End If
                End If
            End If
        End If
    End Sub

    Private Sub console_CMD(ByVal sender As Object, ByVal e As ConsoleEventArgs) Handles MyBase.ConsoleCommand

    End Sub

    Private Sub GraphicsEventHandler(ByVal sender As Object, ByVal e As GTA.GraphicsEventArgs) Handles MyBase.PerFrameDrawing
    End Sub

    Private Sub msg(ByVal sMsg As String, ByVal time As Int32)
        Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", sMsg, time, 1)
    End Sub
End Class
